Bug 34397 - loglevel 'emerg' is handled as loglevel 'error'
loglevel 'emerg' is handled as loglevel 'error'
Status: RESOLVED FIXED
Product: Tomcat Connectors
Classification: Unclassified
Component: Common
unspecified
Other Windows 2000
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-04-11 13:15 UTC by roy_rabbit
Modified: 2008-10-05 03:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description roy_rabbit 2005-04-11 13:15:31 UTC
I am using isapi_redirect.dll as connector between Tomcat and IIS5. The 
parameter 'log_level' is set to 'emerg', but in the logfile level 'error' 
occurs.
In function 'jk_parse_log_level' of 'jk_util.c' the part 

    if (0 == strcasecmp(level, JK_LOG_EMERG_VERB)) {
        return JK_LOG_ERROR_LEVEL;
    }

has to be changed to

if (0 == strcasecmp(level, JK_LOG_EMERG_VERB)) {
        return JK_LOG_EMERG_LEVEL;
    }
Comment 1 Mladen Turk 2005-07-03 10:40:57 UTC
This has been fixed in the CVS.